<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.4 at 2019-11-26 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>debian-maven-plugin - Debian Maven Plugin :: Usage</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20191126" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                    <div id="bannerLeft">
                Debian Maven Plugin
                </div>
                    <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
                    
                <div class="xleft">
        <span id="publishDate">Last Published: 2019-11-26</span>
                  &nbsp;| <span id="projectVersion">Version: 1.0.20</span>
                      </div>
            <div class="xright">        
                    
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
                    
                                <h5>Overview</h5>
                  <ul>
                  <li class="none">
                          <a href="index.html" title="Introduction">Introduction</a>
            </li>
                  <li class="none">
                          <a href="goals.html" title="Goals">Goals</a>
            </li>
                  <li class="none">
            <strong>Usage</strong>
          </li>
                  <li class="none">
                          <a href="changelog.html" title="Changelog">Changelog</a>
            </li>
                  <li class="none">
                          <a href="contact.html" title="Contact">Contact</a>
            </li>
          </ul>
                       <h5>Project Documentation</h5>
                  <ul>
                                                                                                        <li class="collapsed">
                          <a href="project-info.html" title="Project Information">Project Information</a>
                  </li>
                                                                                      <li class="collapsed">
                          <a href="project-reports.html" title="Project Reports">Project Reports</a>
                  </li>
          </ul>
                             <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
                    
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section">
<h2>Usage<a name="Usage"></a></h2>
<div class="section">
<h3>Plugin configuration<a name="Plugin_configuration"></a></h3>
<p>You should specify the version in your project's plugin configuration:</p>
<div class="source">
<pre>&lt;project&gt;
  ...
  &lt;build&gt;
    &lt;!-- To use the plugin goals, add the following in your POM or parent POM --&gt;
    &lt;plugins&gt;
      &lt;plugin&gt;
        &lt;groupId&gt;com.github.fracpete&lt;/groupId&gt;
        &lt;artifactId&gt;debian-maven-plugin&lt;/artifactId&gt;
        &lt;version&gt;1.0.20&lt;/version&gt;
        &lt;configuration&gt;
          &lt;!--
          &lt;packageName&gt;my-package&lt;/packageName&gt;
          &lt;packageVersion&gt;1.0.0&lt;/packageVersion&gt;
          ...
          --&gt;
        &lt;/configuration&gt;
      &lt;/plugin&gt;
      ...
    &lt;/plugins&gt;
  &lt;/build&gt;
  ...
&lt;/project&gt;</pre></div>
<p>The plugin accepts the following configuration parameters (most of them have reasonable default values):</p>
<table border="1" class="bodyTable">
<tr class="a">
<td align="center"><b>POM setting</b></td>
<td align="center"><b>Command line argument</b></td>
<td align="center"><b>Description</b></td>
<td align="center"><b>Data type</b></td>
<td align="center"><b>Default value</b></td></tr>
<tr class="b">
<td align="left">skip</td>
<td align="left"></td>
<td align="left">Whether to skip the execution. To be used in multi-module projects, with the top-level module setting it to <tt>true</tt> and the sub-modules to <tt>false</tt>.</td>
<td align="left">boolean</td>
<td align="left">false</td></tr>
<tr class="a">
<td align="left">packageName</td>
<td align="left">deb.package.name</td>
<td align="left">Package name</td>
<td align="left">String</td>
<td align="left">&#xa0;${project.artifactId}</td></tr>
<tr class="b">
<td align="left">packageVersion</td>
<td align="left">deb.package.version</td>
<td align="left">Package version</td>
<td align="left">String</td>
<td align="left">&#xa0;${project.version}</td></tr>
<tr class="a">
<td align="left">packageRevision</td>
<td align="left">deb.package.revision</td>
<td align="left">Package revision</td>
<td align="left">String</td>
<td align="left">1</td></tr>
<tr class="b">
<td align="left">packagePriority</td>
<td align="left">deb.package.priority</td>
<td align="left">Installation priority</td>
<td align="left">String</td>
<td align="left">optional</td></tr>
<tr class="a">
<td align="left">packageSection</td>
<td align="left">deb.package.section</td>
<td align="left">Repository section</td>
<td align="left">String</td>
<td align="left">contrib/utils</td></tr>
<tr class="b">
<td align="left">packageTitle</td>
<td align="left">deb.package.title</td>
<td align="left">Short package description</td>
<td align="left">String</td>
<td align="left">&#xa0;${project.name}</td></tr>
<tr class="a">
<td align="left">packageDescription</td>
<td align="left">deb.package.description</td>
<td align="left">Extended package description</td>
<td align="left">String</td>
<td align="left">&#xa0;${project.description}</td></tr>
<tr class="b">
<td align="left">snapshotRevisionFile</td>
<td align="left">deb.package.snapshotRevFile</td>
<td align="left">When building snapshot packages, append the modification time of this file to the version number.</td>
<td align="left">File</td>
<td align="left">The default is to use the system time.</td></tr>
<tr class="a">
<td align="left">packageDependencies</td>
<td align="left"></td>
<td align="left">Dependencies to other packages</td>
<td align="left">String[]</td>
<td align="left"></td></tr>
<tr class="b">
<td align="left">projectUrl</td>
<td align="left">deb.project.url</td>
<td align="left">Project website</td>
<td align="left">String</td>
<td align="left">&#xa0;${project.organization.url}</td></tr>
<tr class="a">
<td align="left">projectOrganization</td>
<td align="left">deb.project.organization</td>
<td align="left">Organization for Debian control file</td>
<td align="left">String</td>
<td align="left">&#xa0;${project.organization.name}</td></tr>
<tr class="b">
<td align="left">maintainerName</td>
<td align="left">deb.maintainer.name</td>
<td align="left">Package maintainer's name</td>
<td align="left">String</td>
<td align="left">&#xa0;${project.developers[0].name}</td></tr>
<tr class="a">
<td align="left">maintainerEmail</td>
<td align="left">deb.maintainer.email</td>
<td align="left">Package maintainer's email address</td>
<td align="left">String</td>
<td align="left">&#xa0;${project.developers[0].email}</td></tr>
<tr class="b">
<td align="left">includeArtifacts</td>
<td align="left"></td>
<td align="left">Artifacts to be included, identified by their filenames.</td>
<td align="left">String[]</td>
<td align="left">The project artifact and its dependencies.</td></tr>
<tr class="a">
<td align="left">excludeArtifacts</td>
<td align="left"></td>
<td align="left">Artifacts to be excluded (takes precedence over includeArtifacts).</td>
<td align="left">String[]</td>
<td align="left"></td></tr>
<tr class="b">
<td align="left">excludeArtifactsRegExp</td>
<td align="left"></td>
<td align="left">Regular expression to match against artifacts to be excluded (takes precedence over includeArtifacts). Applies the expressions to &quot;groupId:artifactId:classifier&quot;</td>
<td align="left">String[]</td>
<td align="left"></td></tr>
<tr class="a">
<td align="left">excludeAllArtifacts</td>
<td align="left"></td>
<td align="left">Exclude all regular artifacts (attached artifacts are not affected)</td>
<td align="left">Boolean</td>
<td align="left">false</td></tr>
<tr class="b">
<td align="left">excludeAllDependencies</td>
<td align="left"></td>
<td align="left">Exclude all dependencies</td>
<td align="left">Boolean</td>
<td align="left">false</td></tr>
<tr class="a">
<td align="left">includeAttachedArtifacts</td>
<td align="left"></td>
<td align="left">Include all attached artifacts.</td>
<td align="left">Boolean</td>
<td align="left">true</td></tr>
<tr class="b">
<td align="left">includeScope</td>
<td align="left"></td>
<td align="left">Scopes to be included (comma-separated list), empty string includes all scopes.</td>
<td align="left">String</td>
<td align="left">&quot;compile&quot;.</td></tr>
<tr class="a">
<td align="left">excludeScope</td>
<td align="left"></td>
<td align="left">Scopes to be excluded (comma-separated list), empty string does not exclude any scopes.</td>
<td align="left">String</td>
<td align="left">Empty string.</td></tr>
<tr class="b">
<td align="left">libDirectory</td>
<td align="left"></td>
<td align="left">The directory to contain the libraries. Placeholder <tt><a name="PKGNAME">PKGNAME</a></tt> gets replaced with value of <tt>packageName</tt>.</td>
<td align="left">String</td>
<td align="left">/usr/lib/{PKGNAME}</td></tr>
<tr class="a">
<td align="left">docDirectory</td>
<td align="left"></td>
<td align="left">The directory to contain the documentation. Placeholder <tt><a name="PKGNAME">PKGNAME</a></tt> gets replaced with value of <tt>packageName</tt>.</td>
<td align="left">String</td>
<td align="left">/usr/share/doc/{PKGNAME}</td></tr>
<tr class="b">
<td align="left">manDirectory</td>
<td align="left"></td>
<td align="left">The directory to contain the man pages. Placeholder <tt><a name="PKGNAME">PKGNAME</a></tt> gets replaced with value of <tt>packageName</tt>.</td>
<td align="left">String</td>
<td align="left">/usr/share/man</td></tr>
<tr class="a">
<td align="left">createSymLinks</td>
<td align="left"></td>
<td align="left">Whether to create symbolic links for jars without the artifact version.</td>
<td align="left">boolean</td>
<td align="left">true</td></tr>
<tr class="b">
<td align="left">createIncludeFiles</td>
<td align="left"></td>
<td align="left">Whether to create .inc files for the artifacts.</td>
<td align="left">boolean</td>
<td align="left">true</td></tr>
<tr class="a">
<td align="left">useDefaultFixPermissions</td>
<td align="left"></td>
<td align="left">Whether to use default rules for fixing file permissions (setting 755 on scripts in <tt>bin</tt> and <tt>sbin</tt> and <tt>pre</tt> and <tt>post</tt> scripts in <tt>DEBIAN</tt>).</td>
<td align="left">boolean</td>
<td align="left">false</td></tr>
<tr class="b">
<td align="left">fixPermissions</td>
<td align="left"></td>
<td align="left">Custom rules for applying permissions to files, using nested <tt>fixPermission</tt> with <tt>include</tt> regular expression (eg <tt>.*myscript.*</tt>) and <tt>permissions</tt> POSIX permissions string (eg <tt>rwxr-xr-x</tt>).</td>
<td align="left">FixPermission[]</td>
<td align="left">false</td></tr>
<tr class="a">
<td align="left">useDefaultCopyResources</td>
<td align="left"></td>
<td align="left">Whether to use default rules for copy resource files (from <tt>src/deb/resources</tt> to <tt>target/deb</tt>).</td>
<td align="left">boolean</td>
<td align="left">false</td></tr>
<tr class="b">
<td align="left">copyResources</td>
<td align="left"></td>
<td align="left">Custom rules for copying resources, using nested <tt>copyResource</tt> with <tt>include</tt> regular expression (eg <tt>.*myscript.*</tt>) and <tt>source</tt> and <tt>target</tt> strings (dir or file).</td>
<td align="left">CopyResource[]</td>
<td align="left">false</td></tr>
<tr class="a">
<td align="left">fileFiltering</td>
<td align="left"></td>
<td align="left">If enabled, allows replacing of variables (&quot;${...}&quot;) in files that match the <tt>include</tt> (default: .*) but not the <tt>exclude</tt> (default: .*\.(jpg|jpeg|png|svg|zip|jar|pdf)) pattern.</td>
<td align="left">FileFiltering</td>
<td align="left">disabled</td></tr>
<tr class="b">
<td align="left">repository</td>
<td align="left">deb.repository.location</td>
<td align="left">Location of the Debian repository</td>
<td align="left">File</td>
<td align="left"></td></tr>
<tr class="a">
<td align="left">codenames</td>
<td align="left"></td>
<td align="left">The codenames of the distribution branches (e.g., lenny, natty, etc.)</td>
<td align="left">String</td>
<td align="left">experimental</td></tr>
<tr class="b">
<td align="left">repreproConfigurotionDir</td>
<td align="left">deb.reprepro.config</td>
<td align="left">Reprepro configuration directory</td>
<td align="left">File</td>
<td align="left"></td></tr>
<tr class="a">
<td align="left">skipDeployMissing</td>
<td align="left">deb.deploy.skipMissing</td>
<td align="left">Skip package deployment if the package does not exist</td>
<td align="left">Boolean</td>
<td align="left">true</td></tr></table>
<div class="section">
<h4>Skipping execution<a name="Skipping_execution"></a></h4>
<p>The plugin execution is skipped automatically if the operating system is not linux. The plugin execution can be skipped explicitly by providing the system property <tt>skipDeb</tt>, and it is forced to run regardless the operating system if <tt>runDeb</tt> is provided. Example:</p>
<div class="source">
<pre>mvn -DskipDeb</pre></div></div>
<div class="section">
<h4>Multi-module projects<a name="Multi-module_projects"></a></h4>
<p>The top-level module in multi-module projects usually only defines plugins, properties, etc, but does not actually contain any code that requires packaging. In order to avoid execution in the top-level module, you can use the <tt>skip</tt> parameter set to <tt>true</tt>:</p>
<div class="source">
<pre>&lt;build&gt;
  &lt;plugins&gt;
    ...

    &lt;plugin&gt;
      &lt;groupId&gt;com.github.fracpete&lt;/groupId&gt;
      &lt;artifactId&gt;debian-maven-plugin&lt;/artifactId&gt;
      &lt;configuration&gt;
        &lt;skip&gt;true&lt;/skip&gt;
      &lt;/configuration&gt;
    &lt;/plugin&gt;
    ...
  &lt;/plugins&gt;
&lt;/build&gt;</pre></div>
<p>And in the sub-modules, you set this flag to <tt>false</tt>:</p>
<div class="source">
<pre>&lt;build&gt;
  &lt;plugins&gt;
    ...

    &lt;plugin&gt;
      &lt;groupId&gt;com.github.fracpete&lt;/groupId&gt;
      &lt;artifactId&gt;debian-maven-plugin&lt;/artifactId&gt;
      ...
      &lt;configuration&gt;
        &lt;skip&gt;false&lt;/skip&gt;
        ...
      &lt;/configuration&gt;
    &lt;/plugin&gt;
    ...
  &lt;/plugins&gt;
&lt;/build&gt;</pre></div></div></div>
<div class="section">
<h3>Adding package content<a name="Adding_package_content"></a></h3>
<div class="section">
<h4>Adding JARs (and other attached artifacts and dependencies)<a name="Adding_JARs_and_other_attached_artifacts_and_dependencies"></a></h4>
<p>By default, the project artifact, its dependencies, and attached artifacts are packaged. The project artifact and its dependencies can be <b>excluded</b> from the package by setting <tt>excludeAllArtifacts</tt> to <tt>true</tt>. The parameter <tt>excludeAllDependencies</tt> does the same, but only for dependencies. The inclusion of attached artifacts is governed by <tt>includeAttachedArtifacts</tt>. If <tt>includeArtifacts</tt> is provided, only those listed artifacts are included. The artifacts in <tt>excludeArtifacts</tt> (supplied in via nested <tt>&lt;param&gt;&lt;/param&gt;</tt> tags) are excluded from the Debian package. You can also supply regular expressions to exclude artifacts using <tt>excludeArtifactsRegExp</tt> (the actual regular expressions are supplied in nested <tt>&lt;param&gt;&lt;/param&gt;</tt> tags). Artifacts will be accompanied by a symbolic link, which enables reference without the version number.</p>
<p>For the project artifact and each of its dependencies, a file is created which lists all dependencies of the artifact. The name of this file is the artifact filename with its extension replaced by <tt>.inc</tt>. This is particularly useful for setting the classpath, e.g. from a shell script.</p></div>
<div class="section">
<h4>Adding man pages<a name="Adding_man_pages"></a></h4>
<p>The plugin searches for man page source files in the directory <tt>src/deb/man</tt>. The files are automatically compiled, using <tt>groff</tt>. The source files must be named <tt>pagename.N</tt>, where <tt>N</tt> is the <a class="externalLink" href="http://unix.stackexchange.com/questions/3586/what-do-the-numbers-in-a-man-page-mean">section number</a>. The compiled man pages are gzip'ed and included in the appropriate place in the deb file. Here are some pointers for help writing man pages:</p>
<ul>
<li>Wikipedia page on man pages: <a class="externalLink" href="http://en.wikipedia.org/wiki/Man_page">http://en.wikipedia.org/wiki/Man_page</a></li>
<li>A short howto: <a class="externalLink" href="http://www.linuxhowtos.org/System/creatingman.htm">http://www.linuxhowtos.org/System/creatingman.htm</a></li>
<li>A somewhat more extensive howto: <a class="externalLink" href="http://www.schweikhardt.net/man_page_howto.html">http://www.schweikhardt.net/man_page_howto.html</a></li></ul></div>
<div class="section">
<h4>Adding other files<a name="Adding_other_files"></a></h4>
<p>By default, the plugin only takes care of JARs. However, if you require additional resources to be part of your debian package (eg scripts in <tt>/usr/bin</tt>), then you can use the <tt>useDefaultCopyResources</tt> and <tt>copyResources</tt> parameters to achieve this.</p>
<p>With <tt>useDefaultCopyResources</tt> set to <tt>true</tt>, the plugin copies everything below <tt>src/deb/resources</tt> into the staging directory <tt>target/deb</tt>.</p>
<p><tt>copyResources</tt> allows you to copy other files as well. Each of the nested <tt>copyResource</tt> tags is comprised of <tt>source</tt>, <tt>target</tt> and an optional <tt>include</tt> tags. Both, <tt>source</tt> and <tt>target</tt> can be directories or files. The <tt>include</tt> tag uses regular expressions for matching files to include in the copy process. If omitted, the match all pattern <tt>.*</tt> is assumed.</p>
<p>The following example applies the default copy rules and also copies PDF files from the target directory into <tt>target/deb/usr/share/doc/my-package</tt> to make them available in <tt>/usr/share/doc/my-package</tt> after installing the package.</p>
<div class="source">
<pre>&lt;build&gt;
  &lt;plugins&gt;
    ...

    &lt;plugin&gt;
      &lt;groupId&gt;com.github.fracpete&lt;/groupId&gt;
      &lt;artifactId&gt;debian-maven-plugin&lt;/artifactId&gt;
      &lt;configuration&gt;
        &lt;packageName&gt;my-package&lt;/packageName&gt;
        &lt;packageVersion&gt;1.0.0&lt;/packageVersion&gt;
        &lt;useDefaultCopyResources&gt;true&lt;/useDefaultCopyResources&gt;
        &lt;copyResources&gt;
          &lt;copyResource&gt;
            &lt;source&gt;target&lt;/source&gt;
            &lt;target&gt;target/deb/usr/share/doc/my-package&lt;/target&gt;
            &lt;include&gt;.*\.pdf&lt;/include&gt;
          &lt;/copyResource&gt;
        &lt;/copyResources&gt;
      &lt;/configuration&gt;
    &lt;/plugin&gt;
    ...
  &lt;/plugins&gt;
&lt;/build&gt;</pre></div>
<p>Unfortunately, the copying does not retain Unix file permissions, meaning that all executable files lose their execution permission after copying. But you can use the <tt>useDefaultFixPermissions</tt> and <tt>fixPermissions</tt> parameters to counter this.</p>
<p>When <tt>useDefaultFixPermissions</tt> is set to <tt>true</tt>, then the plugin ensures that all scripts in the <tt>bin</tt> and <tt>sbin</tt> directories and the <tt>DEBIAN/pre</tt> and <tt>DEBIAN/post</tt> scripts are executable (using <tt>rwxr-xr-x</tt>).</p>
<p><tt>fixPermissions</tt> allows you to change the permissions of other files and directories. Each of the nested <tt>fixPermission</tt> tags consists of the <tt>include</tt> regular expression to match against the full filename and <tt>permissions</tt> containing the <i>ugo</i> (user, group, other) permissions.</p>
<p>Here is an example that applies the default permission fixes and also ensures that the <tt>myscript</tt> script is executable as well:</p>
<div class="source">
<pre>&lt;build&gt;
  &lt;plugins&gt;
    ...

    &lt;plugin&gt;
      &lt;groupId&gt;com.github.fracpete&lt;/groupId&gt;
      &lt;artifactId&gt;debian-maven-plugin&lt;/artifactId&gt;
      &lt;configuration&gt;
        &lt;packageName&gt;my-package&lt;/packageName&gt;
        &lt;packageVersion&gt;1.0.0&lt;/packageVersion&gt;
        &lt;useDefaultFixPermissions&gt;true&lt;/useDefaultFixPermissions&gt;
        &lt;fixPermissions&gt;
          &lt;fixPermission&gt;
            &lt;include&gt;.*myscript.*&lt;/include&gt;
            &lt;permissions&gt;rwxr-xr-x&lt;/permissions&gt;
          &lt;/fixPermission&gt;
        &lt;/fixPermissions&gt;
      &lt;/configuration&gt;
    &lt;/plugin&gt;
    ...
  &lt;/plugins&gt;
&lt;/build&gt;</pre></div></div>
<div class="section">
<h4>Filtering files<a name="Filtering_files"></a></h4>
<p>By default, resource files are just copied across as is. However, in order to make start-up scripts more general, you can place variables (<tt>${varname}</tt>) in them and turn file filtering on in your configuration.</p>
<p>In terms of what variables are supported, there are two types: The <i>first</i> type being POM related ones, that start with <tt>project.</tt> like <tt>project.name</tt> or <tt>project.version</tt>. Sub-properties from properties in the POM that allow multiple values, like <tt>licenses</tt> can access these via <tt>[index]</tt>, with the index being 0-based. The <i>second</i> type are ones specific to this plugin. Here is a list of supported variables:</p>
<div class="source">
<pre>packageName
packageTitle
packagePriority
packageSection
packageDescription
packageArchitecture
packageRevision</pre></div>
<p>Considering the following configuration for file filtering:</p>
<div class="source">
<pre>...

&lt;licenses&gt;
  &lt;license&gt;
    &lt;name&gt;GNU General Public License 3&lt;/name&gt;
    &lt;url&gt;http://www.gnu.org/licenses/gpl-3.0.txt&lt;/url&gt;
  &lt;/license&gt;
  &lt;license&gt;
    &lt;name&gt;Apache 2.0&lt;/name&gt;
    &lt;url&gt;http://www.apache.org/licenses/LICENSE-2.0.txt&lt;/url&gt;
  &lt;/license&gt;
&lt;/licenses&gt;

...

&lt;build&gt;
  &lt;plugins&gt;
    ...

    &lt;plugin&gt;
      &lt;groupId&gt;com.github.fracpete&lt;/groupId&gt;
      &lt;artifactId&gt;debian-maven-plugin&lt;/artifactId&gt;
      &lt;configuration&gt;
        &lt;packageName&gt;my-package&lt;/packageName&gt;
        &lt;packageVersion&gt;1.0.0&lt;/packageVersion&gt;
        &lt;fileFiltering&gt;
          &lt;enabled&gt;true&lt;/enabled&gt;
          &lt;include&gt;.*&lt;/include&gt;
          &lt;excluded&gt;.*\.(jpg|jpeg|png|svg|zip|jar|pdf)&lt;/excluded&gt;
        &lt;/fileFiltering&gt;
      &lt;/configuration&gt;
    &lt;/plugin&gt;
    ...
  &lt;/plugins&gt;
&lt;/build&gt;</pre></div>
<p>When applied to the following snippet of a bash script (the blank between <tt>$</tt> and <tt>{</tt> was required for display purposes):</p>
<div class="source">
<pre>...
# Licenses
# - $ {project.licenses[0].name}
# - $ {project.licenses[1].name}

CLASSPATH_DIR=/usr/lib/${packageName}
...</pre></div>
<p>Will yield this output:</p>
<div class="source">
<pre># Licenses
# - GNU General Public License 3
# - Apache 2.0

CLASSPATH_DIR=/usr/lib/my-package</pre></div></div></div>
<div class="section">
<h3>Deploying<a name="Deploying"></a></h3>
<p>The plugin can use reprepro to deploy the Debian package to a local reprepro repository. The plugin assumes an existing reprepro repository and configuration, and requires pointers to their locations. The plugin uses the following parameters:</p>
<ul>
<li>repository (path to the repository; eg: /path/to/repo)</li>
<li>repreproConfigurationDir (the reprepro configuration directory)</li>
<li>repositoryBranch (optional)</li>
<li>skipDeployMissing (optional)</li></ul>
<p><b>Note:</b> when the package version has the substring <tt>-SNAPSHOT</tt>, it is replaced by the modification time of the file <tt>pom.xml</tt>. This way, each change of the POM causes an increase of the version number, which is useful as reprepro does not allow you to deploy an update with the same version number.</p></div>
<div class="section">
<h3>Examples<a name="Examples"></a></h3>
<p>Examples can be found in the following repository:</p>
<p><a class="externalLink" href="https://github.com/fracpete/debian-maven-plugin-examples">https://github.com/fracpete/debian-maven-plugin-examples</a></p></div></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;                   2012-2019.
          All Rights Reserved.      
                    
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
